# Tomcat
server:
  port: 9100

# nacos线上地址
nacos:
  addr: 159.75.188.178:8848
  user-name: nacos
  password: nacos
  namespace: eight

# Spring
spring:
  application:
    # 应用名称
    name: cloud-monitor
  profiles:
    # 环境配置
    active: dev
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: ${nacos.addr}
        # nacos用户名
        username: ${nacos.user-name}
        # nacos密码
        password: ${nacos.password}
        # 命名空间
        namespace: ${nacos.namespace}
      config:
        # 服务注册地址
        server-addr: ${nacos.addr}
        # nacos用户名
        username: ${nacos.user-name}
        # nacos密码
        password: ${nacos.password}
        # 命名空间
        namespace: ${nacos.namespace}
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          # 系统共享配置
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
          # 系统环境Config共享配置
          - application-config-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
